condenser_api.get_account_history
Purpose
Returns a history of all operations for a given account. Parameters: account:string; start:int. e.g.: -1 for reverse history or any positive numeric; limit:int up to 10000
account (string) | start (int) | limit (int) | |
|---|---|---|---|
"steemit" | 1000 | 1000 | Queries the account named steemit starting on the latest item in history, up to 1,000 results. |
"alice" | -1 | 10000 | Queries the account named alice starting on the oldest item in history, up to 10,000 results. |
Also see: account_history_api.get_account_history, Paginated API Methods
Parameters
PARAMETERS
json
[
"",
0,
1000
]Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_account_history",
"params": [
"steemit",
1000,
1000
],
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_account_history",
"params": [
"steemit",
-1,
10000
],
"id": 1
}'